### Property

# Gio SocketClient:protocol

since: 2.22

#### Declaration

    property protocol: Gio.SocketProtocol [ read, write, construct ]

#### Description

The protocol to use for socket construction, or `0` for default.

Type: | `GSocketProtocol`
Available since: | 2.22

Default value | G_SOCKET_PROTOCOL_DEFAULT
Getter method | `g_socket_client_get_protocol()`
Setter method | `g_socket_client_set_protocol()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no